Dancer::Serializer::JSONP(3pm)

NAME
Dancer::Serializer::JSONP - serializer for handling JSONP data

VERSION
version 1.3522

SYNOPSIS

DESCRIPTION
This class is a subclass of Dancer::Serializer::JSON with support for JSONP.

In order to use this engine, use the template setting:

    serializer: JSONP

This can be done in your config.yml file or directly in your app code with the set keyword. This serializer will not be used when the serializer is set to mutable.

All configuration options mentioned in Dancer::Serializer::JSON apply here, too.

METHODS

  serialize
Serialize a data structure to a JSON structure with surrounding javascript callback method. The name of the callback method is obtained from the request parameter callback.

  deserialize
See Dancer::Serializer::JSON#deserialize.

  content_type
Return 'application/javascript'

SEE ALSO
Dancer::Plugin::CORS is a modern alternative to JSONP, but with limited browser support. Today, JSONP can be a serious fallback solution when CORS is not supported by a browser.

AUTHOR
David Zurborg, "<zurborg at cpan.org>"

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.